%define module	HTML-Encoding
%define name	perl-%{module}
%define version	0.56
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Determine the encoding of HTML/XML/XHTML documents
Group:		Development/Perl
License:	GPL or Artistic
Source:		http://www.cpan.org/authors/id/S/SB/SBURKE/%{module}-%{version}.tar.gz
Url:		http://search.cpan.org/dist/%{module}/
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl-libwww-perl
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
HTML::Encoding helps to determine the encoding of HTML and XML/XHTML documents.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/HTML
%{_mandir}/*/*


%changelog
* Wed Aug 6 2008 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 0.56-1nxd2008.1
- initial package for Mandriva
